#!/usr/bin/perl

=head1 NAME

mimesender - an example of integrating MIME-tools with Mail::Send.

=head1 SYNOPSIS

Usage:

    mimesender YOU@YOUR.HOST

=head1 DESCRIPTION

This just fakes up a little message and sends it by using Mail::Send
and the 'sendmail' handler.

=head1 AUTHOR

Eryq, eryq@zeegee.com. 

=cut

use Mail::Send;
use MIME::Entity 4.113;
use File::Spec;

### Args?
my ($to) = @ARGV;
$to or die "Usage: mimesender toaddr\n";

### Create MIME entity, with attachment, sent to us:
my $ent = MIME::Entity->build(From    => "secret\@admirer.net",
			      To      => $to,
			      Subject => 'Hello there!', 
			      Data    => "Saluations...");
$ent->attach(Type => 'text/plain',
	     Data => "...and Felicitations!");


### Send it:
$sender = new Mail::Send;
foreach ($ent->head->tags) {       # give the sender our headers
    $sender->set($_, map {chomp $_; $_} $ent->head->get($_));
}
$fh = $sender->open('sendmail');
$ent->print_body($fh);
$fh->close; 
